import { Text, View } from "@tarojs/components"
import { memo, useCallback, useEffect, useMemo } from "react"
import {formatKbPrice} from '@/common/common'
import classnames from "classnames";
import styles  from './index.module.scss'
import AmountShow from "../amountShow";
type Param = {
    style?: Object,
    number?: number,
    title?: string,
    titleStatus?: true|false, //true 标题加大加深
    numberStatus?: 0|1|2, //数字尺寸
}
export default memo(({style, number = 0, titleStatus = true, title = '', numberStatus = 1}:Param) => {
    return (
        <>  
            <View className={styles.order_price}>
                <View className={classnames(styles.order_price_text, titleStatus&&styles.emphasis)}>
                    <Text>{title}</Text>
                    <View className={styles.iconfont_msg}>
                        <Text className={classnames(styles.miconfont, 'iconfont icon-zhushi')}></Text>
                        {/* <View className={classnames(styles.message)}>123123123121212312312312312</View> */}
                    </View>
                </View>
                <AmountShow status={numberStatus} number={number}/>
            </View>
        </>
    )
})